> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all snapshots of an entry

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/entries/{entry_id}/snapshots

Reference: https://contentful.com/developers/docs/references/content-management-api/snapshots/get-all-snapshots-of-an-entry

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the Space in form of a string
- `environment_id` (string, required) — environment_id identifier
- `entry_id` (string, required) — ID of the entry in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .entries()
    .async()
    .fetchOne(
        "<space_id>",
        "master", // only works on master environment
        "<entry_id>",
        new CMACallback<CMAEntry>() {
          @Override protected void onSuccess(CMAEntry entry) {
            client
                .entries()
                .async()
                .fetchAllSnapshots(
                    entry,
                    new CMACallback<CMAArray<CMASnapshot>>() {
                      @Override protected void onSuccess(CMAArray<CMASnapshot> snapshots) {
                        final List<CMASnapshot> items = snapshots.getItems();
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful")
                            .setMessage("List of all entry snapshots was successful." +
                                "\n\nResult: " + items.size() + " snapshots found." +
                                "\n\nFirst: " + items.get(0))
                            .show();
                      }

                      @Override protected void onFailure(RuntimeException exception) {
                        // An error occurred! Inform the user.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful Error")
                            .setMessage("Could not list all an entry snapshots." +
                                "\n\nReason: " + exception.toString())
                            .show();

                        super.onFailure(exception);
                      }
                    }
                );
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not get one entry." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

final CMAEntry entry = client
    .entries()
    .fetchOne(
        "<space_id>",
        "master", // only works on master right now
        "<entry_id>");

final CMAArray<CMASnapshot> snapshots = client
    .entries()
    .fetchAllSnapshots(entry);
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

val entry = client
        .entries()
        .fetchOne(
                "<space_id>",
                "master", // only works on master right now
                "<entry_id>")

val snapshots = client
        .entries()
        .fetchAllSnapshots(entry)
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
  .then((space) => space.getEnvironment('<environment_id>'))
  .then((environment) => environment.getEntry('<entry_id>'))
  .then((entry) => entry.getSnapshots())
  .then((snapshots) => console.log(snapshots.items))
  .catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const snapshots = await client.snapshot.getManyForEntry({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  entryId: '<entry_id>',
})
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$entrySnapshots = $environment->getEntrySnapshots('<entry_id>');

// Alternatively, from an entry
$entry = $environment->getEntry('<entry_id>');
$entrySnapshots = $entry->getSnapshots();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

entry = client.entries('<space_id>', '<environment_id>').find('<entry_id>')
snapshot = entry.snapshots.all
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

snapshots = client.snapshots('<space_id>', '<environment_id>', '<entry_id>').all()
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var allSnapshots = await client.GetAllSnapshotsForEntry("<entry_id>");
```